Loading...
Searching...
No Matches
Magick::DrawableColor Class Reference
Inheritance diagram for Magick::DrawableColor:

## Public Member Functions

| DrawableColor (double x_, double y_, PaintMethod paintMethod_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | paintMethod (PaintMethod paintMethod_)
PaintMethod | paintMethod (void) const

## Private Attributes

double | _x
double | _y
PaintMethod | _paintMethod

## Detailed Description

Definition at line 670 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableColor()

Magick::DrawableColor::DrawableColor | ( | double | x_,
|  | double | y_,
|  | PaintMethod | paintMethod_ )

inline

Definition at line 673 of file Drawable.h.

: _x(x_),
_y(y_),
_paintMethod(paintMethod_)
{ }

## ~DrawableColor()

Magick::DrawableColor::~DrawableColor | ( | void |  | ) |

Definition at line 471 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableColor::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 478 of file Drawable.cpp.

{
return new DrawableColor(*this);
}

## operator()()

void Magick::DrawableColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 474 of file Drawable.cpp.

{
DrawColor( context_, _x, _y, _paintMethod );
}

## paintMethod() [1/2]

void Magick::DrawableColor::paintMethod | ( | PaintMethod | paintMethod_ | ) |

inline

Definition at line 706 of file Drawable.h.

{
_paintMethod = paintMethod_;
}

## paintMethod() [2/2]

PaintMethod Magick::DrawableColor::paintMethod | ( | void |  | ) | const

inline

Definition at line 710 of file Drawable.h.

{
return _paintMethod;
}

## x() [1/2]

void Magick::DrawableColor::x | ( | double | x_ | ) |

inline

Definition at line 688 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::DrawableColor::x | ( | void |  | ) | const

inline

Definition at line 692 of file Drawable.h.

{
return _x;
}

## y() [1/2]

void Magick::DrawableColor::y | ( | double | y_ | ) |

inline

Definition at line 697 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::DrawableColor::y | ( | void |  | ) | const

inline

Definition at line 701 of file Drawable.h.

{
return _y;
}

## Field Documentation

## _paintMethod

PaintMethod Magick::DrawableColor::_paintMethod

private

Definition at line 718 of file Drawable.h.

## _x

double Magick::DrawableColor::_x

private

Definition at line 716 of file Drawable.h.

## _y

double Magick::DrawableColor::_y

private

Definition at line 717 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp